Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
Interface MavenPom

    interface MavenPom

Is used for generating a Maven pom file and customizing the generation. To learn about the Maven pom see: http://maven.apache.org/pom.html

author:
  Hans Dockter

Method Summary
`MavenPom` | `copy()` Creates a deep copy of a MavenPom
`java.lang.String` | `getArtifactId()`
`java.lang.String` | `getClassifier()`
`java.lang.String` | `getGroupId()`
`java.lang.String` | `getLicenseHeader()`
`java.lang.String` | `getPackaging()`
`Conf2ScopeMappingContainer` | `getScopeMappings()` Returns the scope mappings used for generating this pom.
`java.lang.String` | `getVersion()`
`void` | `setArtifactId(java.lang.String artifactId)` Sets the artifactId property of the to be generated Maven pom.
`void` | `setClassifier(java.lang.String classifier)` Sets the classifier property of the to be generated Maven pom.
`void` | `setGroupId(java.lang.String groupId)` Sets the groupId property of the to be generated Maven pom.
`void` | `setLicenseHeader(java.lang.String licenseHeader)` Sets the licenseHeader property of the to be generated Maven pom.
`void` | `setPackaging(java.lang.String packaging)` Sets the packaging property of the to be generated Maven pom.
`void` | `setVersion(java.lang.String version)` Sets the version property of the to be generated Maven pom.

Method Detail

### copy

    public MavenPom copy()

  Creates a deep copy of a MavenPom

### getArtifactId

    public java.lang.String getArtifactId()

  see:
    #setArtifactId(String)

### getClassifier

    public java.lang.String getClassifier()

  see:
    #setClassifier(String)

### getGroupId

    public java.lang.String getGroupId()

  see:
    #setGroupId(String)

### getLicenseHeader

    public java.lang.String getLicenseHeader()

  see:
    #setLicenseHeader(String)

### getPackaging

    public java.lang.String getPackaging()

  see:
    #setPackaging(String)

### getScopeMappings

    public Conf2ScopeMappingContainer getScopeMappings()

  Returns the scope mappings used for generating this pom.

### getVersion

    public java.lang.String getVersion()

  see:
    #setVersion(String)

### setArtifactId

    public void setArtifactId(java.lang.String artifactId)

  Sets the artifactId property of the to be generated Maven pom.

### setClassifier

    public void setClassifier(java.lang.String classifier)

  Sets the classifier property of the to be generated Maven pom.

### setGroupId

    public void setGroupId(java.lang.String groupId)

  Sets the groupId property of the to be generated Maven pom.

### setLicenseHeader

    public void setLicenseHeader(java.lang.String licenseHeader)

  Sets the licenseHeader property of the to be generated Maven pom.

### setPackaging

    public void setPackaging(java.lang.String packaging)

  Sets the packaging property of the to be generated Maven pom.

### setVersion

    public void setVersion(java.lang.String version)

  Sets the version property of the to be generated Maven pom.

Groovy Documentation